libabw::ABWParser Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libabw::ABWParser Class Reference

`#include <ABWParser.h>`

## Public Member Functions
| ABWParser (librevenge::RVNGInputStream *input, librevenge::RVNGTextInterface *iface)
virtual | ~ABWParser ()
bool | parse ()

## Private Member Functions
| ABWParser ()
| ABWParser (const ABWParser &)
ABWParser & | operator= (const ABWParser &)
int | getElementToken (xmlTextReaderPtr reader)
bool | processXmlDocument (librevenge::RVNGInputStream *input)
void | processXmlNode (xmlTextReaderPtr reader)
void | readAbiword (xmlTextReaderPtr reader)
void | readM (xmlTextReaderPtr reader)
void | readHistory (xmlTextReaderPtr reader)
void | readRevisions (xmlTextReaderPtr reader)
void | readIgnoredWords (xmlTextReaderPtr reader)
void | readPageSize (xmlTextReaderPtr reader)
void | readSection (xmlTextReaderPtr reader)
void | readA (xmlTextReaderPtr reader)
void | readC (xmlTextReaderPtr reader)
void | readD (xmlTextReaderPtr reader)
void | readL (xmlTextReaderPtr reader)
void | readP (xmlTextReaderPtr reader)
void | readS (xmlTextReaderPtr reader)
void | readEndnote (xmlTextReaderPtr reader)
void | readFoot (xmlTextReaderPtr reader)
void | readField (xmlTextReaderPtr reader)
void | readImage (xmlTextReaderPtr reader)
void | readTable (xmlTextReaderPtr reader)
void | readCell (xmlTextReaderPtr reader)
void | readFrame (xmlTextReaderPtr reader)
void | readCloseFrame ()

## Private Attributes
librevenge::RVNGInputStream * | m_input
librevenge::RVNGTextInterface * | m_iface
std::unique_ptr< ABWCollector > | m_collector
std::unique_ptr< ABWParserState > | m_state

## Constructor & Destructor Documentation

## ◆ ABWParser() [1/3]

libabw::ABWParser::ABWParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGTextInterface * | iface
| ) |  |
| explicit

## ◆ ~ABWParser()

libabw::ABWParser::~ABWParser | ( |  | ) |
| virtual

## ◆ ABWParser() [2/3]

libabw::ABWParser::ABWParser | ( |  | ) |
| private

## ◆ ABWParser() [3/3]

libabw::ABWParser::ABWParser | ( | const ABWParser & |  | ) |
| private

## Member Function Documentation

## ◆ getElementToken()

int libabw::ABWParser::getElementToken | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode(), readD(), readHistory(), readIgnoredWords(), and readRevisions().

## ◆ operator=()

ABWParser& libabw::ABWParser::operator= | ( | const ABWParser & |  | ) |
| private

## ◆ parse()

bool libabw::ABWParser::parse | ( |  | ) |

Referenced by libabw::call_BAD_CAST_OnConst().

## ◆ processXmlDocument()

bool libabw::ABWParser::processXmlDocument | ( | librevenge::RVNGInputStream * | input | ) |
| private

Referenced by parse().

## ◆ processXmlNode()

void libabw::ABWParser::processXmlNode | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlDocument().

## ◆ readA()

void libabw::ABWParser::readA | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## ◆ readAbiword()

void libabw::ABWParser::readAbiword | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## ◆ readC()

void libabw::ABWParser::readC | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## ◆ readCell()

void libabw::ABWParser::readCell | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## ◆ readCloseFrame()

void libabw::ABWParser::readCloseFrame | ( |  | ) |
| private

Referenced by processXmlNode().

## ◆ readD()

void libabw::ABWParser::readD | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## ◆ readEndnote()

void libabw::ABWParser::readEndnote | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## ◆ readField()

void libabw::ABWParser::readField | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## ◆ readFoot()

void libabw::ABWParser::readFoot | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## ◆ readFrame()

void libabw::ABWParser::readFrame | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## ◆ readHistory()

void libabw::ABWParser::readHistory | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## ◆ readIgnoredWords()

void libabw::ABWParser::readIgnoredWords | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## ◆ readImage()

void libabw::ABWParser::readImage | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## ◆ readL()

void libabw::ABWParser::readL | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## ◆ readM()

void libabw::ABWParser::readM | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## ◆ readP()

void libabw::ABWParser::readP | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## ◆ readPageSize()

void libabw::ABWParser::readPageSize | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## ◆ readRevisions()

void libabw::ABWParser::readRevisions | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## ◆ readS()

void libabw::ABWParser::readS | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## ◆ readSection()

void libabw::ABWParser::readSection | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## ◆ readTable()

void libabw::ABWParser::readTable | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## Member Data Documentation

## ◆ m_collector

std::unique_ptr<ABWCollector> libabw::ABWParser::m_collector
| private

Referenced by parse(), processXmlDocument(), processXmlNode(), readA(), readAbiword(), readC(), readCell(), readCloseFrame(), readD(), readEndnote(), readField(), readFoot(), readFrame(), readImage(), readL(), readP(), readPageSize(), readS(), readSection(), and readTable().

## ◆ m_iface

librevenge::RVNGTextInterface* libabw::ABWParser::m_iface
| private

Referenced by parse(), and readFrame().

## ◆ m_input

librevenge::RVNGInputStream* libabw::ABWParser::m_input
| private

Referenced by parse().

## ◆ m_state

std::unique_ptr<ABWParserState> libabw::ABWParser::m_state
| private

Referenced by parse(), processXmlNode(), readCloseFrame(), readFrame(), and readM().

The documentation for this class was generated from the following files:

- ABWParser.h
- ABWParser.cpp